Create POS device
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/pos/devices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"device_type": "pos-terminal",
"external_device_id": "<string>",
"vendor": "<string>",
"model_number": "<string>",
"location_id": "<string>",
"mac_address": "<string>"
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/pos/devices"
payload = {
"name": "<string>",
"device_type": "pos-terminal",
"external_device_id": "<string>",
"vendor": "<string>",
"model_number": "<string>",
"location_id": "<string>",
"mac_address": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
device_type: 'pos-terminal',
external_device_id: '<string>',
vendor: '<string>',
model_number: '<string>',
location_id: '<string>',
mac_address: '<string>'
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/pos/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": "<string>",
"content": {
"device": {
"id": "<string>",
"name": "<string>",
"device_type": "pos-terminal",
"external_device_id": "<string>",
"vendor": "<string>",
"model_number": "<string>",
"mac_address": "<string>",
"location_id": "<string>",
"location_name": "<string>",
"claimed_by": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com"
},
"status": "unpaired",
"is_busy": true
}
}
}POS
Create POS device
Create POS device
POST
/
pos
/
devices
Create POS device
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I